/* Fade in hader imgages */
@keyframes fadeInAnimation { 
    0% {opacity: 0;} 
    100% {opacity: 1;} 
}

/*----- BODY -------------------------------------------------------------------*/

  /* Global no padding/margin to prevent unwanted additions from browsers */
  *{box-sizing: border-box;
    padding: 0;  margin: 0;
  }

  body, html {
    font-family: Consolas,monaco,monospace; 
    background-color: white;
    height: 100%;
    margin: auto 0px;
    scroll-behavior: smooth;
    overflow-x: hidden;
  }


/*----- SCROLL BAR -------------------------------------------------------------*/
  /* total width */
  body::-webkit-scrollbar {
    background-color: #fff;
    width: 16px;
  }

  /* background of the scrollbar except button or resizer */
  body::-webkit-scrollbar-track {
    background-color: #1a1a1a;
    margin: 60px 0;
  }

  /* scrollbar itself */
  body::-webkit-scrollbar-thumb {
    background-color: #ff5a6a;
    border-radius: 16px;
    border: 4px solid #1a1a1a;
  }

  /* set button(top and bottom of the scrollbar) */
  body::-webkit-scrollbar-button {
    display:none;
  }


/*----- STYLING ----------------------------------------------------------------*/

  a {color: #77A5AF; transition: all 0.45s;}
  a:link {text-decoration: none;}
  a:active {color: #fff;}
  a:hover {color: #ff5a6a;}

   ::selection {
      background: #ff5a6a;
      color: #ffffff!important;
  }

  h1, h2 {
    text-transform: uppercase; 
    font-weight: normal;
    letter-spacing: 0.1em;
  }

  ul {list-style: none;}

  .grid {
    display: grid;
    grid-template-columns: repeat(10, 1fr);
    grid-gap: 0rem;
    width: 100vw;
    min-height: calc(100vh - 58px);
  }

  .grid-row-1 {grid-row: 1;}
  .grid-row-2 {grid-row: 2;}
  .grid-row-3 {grid-row: 3;}
  .grid-row-4 {grid-row: 4;}
  .grid-row-5 {grid-row: 5;}
  .grid-row-6 {grid-row: 6;}
  .grid-row-7 {grid-row: 7;}
  .grid-row-8 {grid-row: 8;}
  .grid-row-9 {grid-row: 9;}
  .grid-row-10 {grid-row: 10;}
  .grid-row-11 {grid-row: 11;}
  .grid-row-12 {grid-row: 12;}
  .grid-row-img-6 {grid-row: 1 / 7;}
  .grid-row-img-7 {grid-row: 1 / 8;}
  .grid-row-img-8 {grid-row: 1 / 9;}
  .grid-row-img-9 {grid-row: 1 / 10;}
  .grid-row-img-10 {grid-row: 1 / 11;}
  .grid-row-img-11 {grid-row: 1 / 12;}
  .grid-row-img-12 {grid-row: 1 / 13;}


/*----- MENU -------------------------------------------------------------------*/
  nav {
    background-color: #262626;
    border-bottom: 2px solid #fff;
    color: white;
    text-align: center;
    height: 60px;
    overflow: hidden;
    position: fixed;
    width:  100%;
    z-index: 150;
  }

  nav li {
    padding-top: 16px;
    margin: 0 45px;
    font-size: 1.5em;
    text-transform: uppercase;
    display: inline-block;
  }

  nav li a {
    color: #fff;
    opacity: 1;
    text-decoration: none;
    transition: all 0.45s; 
    margin-top: 0;
    font-size: 1em;
  }

  nav li:hover a {color: #ff5a6a; margin-top: 0;}
  nav span {color: #ff5a6a;}


/*----- HEADER IMAGE -----------------------------------------------------------*/
  .header-img > img {width: 100%; height: 100%; object-fit: cover;}
  .header-img {
    grid-column-start: 5;
    grid-column-end: span col5-start;
    /*height: calc(100vh - 60px);*/
    animation: fadeInAnimation ease 1s; 
    animation-iteration-count: 1; 
    animation-fill-mode: forwards;
    z-index: 90;
    background-size: cover;
    background-position: center;
  }


/*----- ABOUT HEADER -----------------------------------------------------------*/

  .about-header-grid {
    grid-template-rows: 9vh 9vh 150px 150px 5vh 200px 5vh;
    background: #1A1A1A;
    color: white;
  }

  .about-header-grid span {color: #ff5a6a;}
  .about-header-grid h1 {
    text-shadow: 0 10px 30px rgba(2, 11, 22, 0.5);
    text-transform: lowercase;
    font-size: 9rem;
    letter-spacing: 0.1em;
    line-height: 0.8;}

  .red-lines {
    grid-column:  3; grid-row: 5;
    align-self: center;
  }

  .red-lines span:first-child {margin-bottom: 1.4rem;}
  .red-lines span:last-child {margin-left: 54px;}
  .red-lines span {
    display: block;
    width: 88px; 
    height: 4px;
    border-radius: 5px;
    background: #ff5a6a;
  }

  .iam {
    grid-column:  3 / 10; grid-row: 3;
    align-self: end;
    padding: 10vh 0 0 300px;
    z-index: 100;
  }

  .nathalie {
    grid-column: 3 / 10; grid-row: 4;
    align-self: center;
    z-index: 100;
  }

  .header-desc {
    grid-column: 3 / 10; grid-row: 6;
    font-family: Consolas,monaco,monospace;
    align-self: center;
    font-size: 1.8rem;    
    letter-spacing: 0.1em;
    text-transform: uppercase;
    z-index: 100;
  }

  .header-link {
    grid-column:  3 / 10;  grid-row: 7;
    font-size: 1em;
    font-weight: normal;
    align-self: center;
    z-index: 100;
  }


/*----- SKILLS EXPERIENCE ------------------------------------------------------*/

  .skills-header-grid {
    grid-template-rows: auto;
    grid-row-gap: 30px;
    background: #1A1A1A;
    font-weight: normal;
    color: #fff;
  }

  .experience-columns {grid-column: 1 / 5; align-self: center;}

  .vertical-align {align-self: center;}

  .experience-year:after {
    content: "";
    width: 2.8rem;
    height: 2px;
    background: #fff;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    margin: auto;
  }
  .experience-year {
    position: relative;
    padding: 0 1rem 0 3.5rem;
  }

  .experience-padding {padding-top: 150px;}


  .skills-header-grid h1 {font-size: 1rem; color: #ff5a6a; padding: 0 0 0 3.5rem;}
  .skills-header-grid h2 {font-size: 1.2rem; color: #fff; padding: 0 3.5rem 0.2rem 3.5rem;}
  .skills-header-grid p {
    font-family: 'Montserrat', sans-serif;
    color: #fff;
    font-size: 0.9em;
    padding: 5px 3.5rem;
    ine-height: 1.3;
  }


/*----- PROJECT ----------------------------------------------------------------*/
  .projects-grid{
    grid-auto-rows: auto min-content min-content min-content min-content min-content auto;
    background: #1A1A1A;
    border-bottom: 2px solid #fff;
    color: #fff;
  }

  .projects-header-grid {
    grid-template-rows: auto;
    background: #1A1A1A;
    font-weight: normal;
    color: #fff;
  }

  .projects-header-grid h2, h3 {
    line-height: 1;
    letter-spacing: 0.1em;
    font-family: Consolas,monaco,monospace;
    text-shadow: 0 10px 30px rgba(2, 11, 22, 0.5);
    text-transform: initial;
    font-weight: bold;
  }

  .projects-header-grid > .red-lines {
    grid-column: 2 / 7; grid-row: 4;
    } 


  .project-title {
    grid-column: 2 / 8; grid-row: 2;
    z-index: 110;
    align-self: end;
    padding-top: 60px;
  }

  .project-title h2 {font-size: 5rem;}
  .project-title h3 {
    font-size: 3rem;
    margin-top: -1rem;
    text-transform: initial; margin: 0 0 3px 0;
    font-weight: normal;
    margin-top: -1rem;
  }


  .project-role {
    grid-column: 2 / 7; grid-row: 3;
    align-self: center;
    padding: 30px 0;
    text-shadow: 0 10px 30px rgba(2, 11, 22, 0.5);
    z-index: 110;
    text-transform: uppercase;
    font-weight: normal;
    list-style: none;
    letter-spacing: 0.1em;
    font-size: 1.5em;
  }

  .project-desc {
    grid-column: 2 / 5; grid-row: 5; 
    z-index: 110;
    align-self: center;
    padding: 30px 3.5rem 30px 0;
  }
  .project-desc p {
    font-family: 'Montserrat', sans-serif;
    color: #fff;
    font-size: 0.9em;
    padding: 5px 0;
    text-shadow: 0 10px 30px rgba(2, 11, 22, 1);
  }

  .project-link {grid-column: 2 / 7; grid-row: 6; z-index: 110;}

  .last-project-filler {padding: 60px;}


/*----- LISTED INFO - BOTTOM SECTION -------------------------------------------*/
  
  .info-bottom-grid {
    font-weight: normal;
    color: #fff;
    padding-bottom: 60px;
    padding-top:  100px;
    grid-gap: 30px;
  }

  .info-num { 
    grid-column: 1 / 2;
    font-size: 2rem;
    color: #ff5a6a;
    position: relative;
    padding-left: 6.2rem;
    padding-right: 1rem;
    align-self: center;
  }

  .info-num:after {
    content: "";
    width: 4.8rem;
    height: 2px;
    background: #020b16;
    position: absolute;
    top: 0; bottom: 0; left: 0;
    margin: auto;
    align-self: center;
  }

  .info-title {
    grid-column: 2 / 5;
    font-size: 2rem;
    color: #072142;
    letter-spacing: 0.2em;
    text-transform: uppercase;
    text-align: left;
    align-self: center;
  }

  .info-content {
    grid-column: 5 / 10; 
    align-self: center; 
    font-family: 'Montserrat', sans-serif;
    font-size: 0.9em;
    color: #606167;
  }

  .info-content p {margin: 15px 0;}


/*----- FOOTER -----------------------------------------------------------------*/
  footer {
    background-color: #262626;
    margin: 0 auto;
    width: 100%;
    overflow: hidden;
    position: fixed;
    bottom: 0;
    z-index: 150;
    height: 60px;
    border-top: 2px solid #fff;
  }

  .socialFooter {
    margin: 0;
    text-align: center;
    padding-top: 5px;
  }

  .socialIconsFooter {
    width: 30px;
    margin: 0 10px;
    padding-top: 10px;
    filter: invert(100%) sepia(100%) saturate(0%) hue-rotate(288deg) brightness(102%) contrast(102%);
  }

  .socialIconsFooter:hover {
    filter: invert(46%) sepia(94%) saturate(2094%) hue-rotate(330deg) brightness(104%) contrast(101%);
    transition: all 0.45s;  Ställer till det, text poppar 
  }


/*----- NAVIGATION ARROW -------------------------------------------------------*/
  @keyframes jump {
    0% { left: 0; }
    50% { left: 5px; }
    100% { left: 0; }
  }

  .grid-arrow-container {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-areas:
      'arrow';
    position: relative;
    margin-top: -200px;
  }

  .arrow-up-container {
    grid-column: 1 / 11;
    align-self: end;
  }

  .arrow-upwards {
    cursor: pointer;
    height: 90px;
    left: 50%;
    position: absolute;
    transition: transform 0.1s;
    width: 70px;
    margin-left: -36px;
  }

  .header-arrow-down {
    grid-column:  1 / 11;
    font-size: 1em;
    font-weight: normal;
    align-self: end;
    color: white;
  }

  .header-arrow-up {
    grid-column:  1 / 11;
    font-size: 1em;
    font-weight: normal;
    align-self: top;
    padding-top: 30px;
    color: white;
    z-index: 105;
  }

  .arrow-downwards {
    cursor: pointer;
    left: 50%;
    position: relative;
    transition: transform 0.1s;
    width: 70px;
    height: 50px;
    margin-left: -33px;
    z-index: 107;
  }

  .arrow-up {
    -webkit-transform: rotate(-90deg);
    -moz-transform: rotate(-90deg);
    -o-transform: rotate(-90deg);
    -ms-transform: rotate(-90deg);
    transform: rotate(-90deg);
    top: 0;
    position: relative !important;
  }

  .arrow-down {
    -webkit-transform: rotate(90deg);
    -moz-transform: rotate(90deg);
    -o-transform: rotate(90deg);
    -ms-transform: rotate(90deg);
    transform: rotate(90deg);
  }

  .blue {background-color: #77A5AF !important;}

  .arrow-top, .arrow-bottom {
    background-color: #fff;
    height: 3px;
    left: -5px;
    position: absolute;
    top: 50%;
    width: 50%;
    animation: jump 1s infinite;
  }
  .arrow-top:after, .arrow-bottom:after {
    background-color: #ff5a6a;
    content: "";
    height: 100%;
    position: absolute;
    top: 0;
    transition: all 0.15s;
  }
  .arrow-top {
    transform: rotate(45deg);
    transform-origin: bottom right;
  }
  .arrow-top:after {
    left: 100%;
    right: 0;
    transition-delay: 0s;
  }
  .arrow-bottom {
    transform: rotate(-45deg);
    transform-origin: top right;
  }
  .arrow-bottom:after {
    left: 0;
    right: 100%;
    transition-delay: 0.15s;
  }
  .arrow:hover .arrow-top:after {
    left: 0;
    transition-delay: 0.15s;
  }
  .arrow:hover .arrow-bottom:after {
    right: 0;
    transition-delay: 0s;
  }
  .arrow-down:active {
    transform: translateX(0) translateY(0) rotate(90deg) scale(0.9);
    opacity: 0.7;
  }
  .arrow-up:active {
    transform: translateX(0) translateY(0) rotate(-90deg) scale(0.9);
    opacity: 0.7;
  }

/*-----------------------------------------------------------------------------------------------------------------*/
/*----- SMALL RESOLUTIONS -----------------------------------------------------------------------------------------*/
/*-----------------------------------------------------------------------------------------------------------------*/

@media (min-width: 1024px) 
{

}


/* NOT PC - OVERALL */
@media only screen and (max-width: 1024px)
{
  body, html {overflow-x: visible; overflow-y: visible;}
  footer {position: relative; border-top: 0px solid #fff;}
  .arrow-hide {width: 0 !important;}
  .header-arrow-up {padding: 0;}
  .header-arrow-down {padding: 0;}
  .info-bottom-grid {padding-bottom: 0;}

  
  /*----- ABOUT --------------------------------------------------------------------------*/
  /*----- HEADER -----*/
  .about-header-grid {height: 100%; grid-template-columns: 10vw auto;
    grid-template-rows: 51vh min-content min-content min-content min-content min-content auto; }

  .header-img {grid-column: 1/10; grid-row: 1; height: 70vh;}
  .iam {grid-column: 4 / 10; grid-row: 2; padding: 10px 7vh 10px 0;}
  .nathalie {grid-column: 2 / 10; grid-row: 3; padding: 5px 0 10px 2vh;}
  .red-lines {grid-row: 4; grid-column: 2; padding: 25px 0 15px 7vh;}
  .header-border {grid-column: 2 / 10; grid-row: 5; padding: 2vh 0 0 3vh;}
  .header-desc {grid-column: 2 / 10; grid-row: 6; font-size: 1.8rem; line-height: 1; padding: 10px 0 0 3vh;}
  .header-link {grid-column: 2 /10 ; grid-row: 7; font-size: 1rem; align-self: auto; padding: 2vh 0 0 3vh;}*/

  /*----- INFORMATION -----*/
  .grid-padding {grid-row-gap: 30px; padding: 60px 0 0 0;}
  .info-wrapper {grid-auto-rows: min-content;}

  .info-num, .info-title {font-size: 2rem;}
  .info-content, .info-num {padding-left: 6rem;}
  .info-num {grid-column: 1 / 3; padding: 0 0 0 9vh;}
  .info-num:after {width: 4rem; height: 2px; }
  .info-title {grid-column: 2 / 10;}
  .info-content {grid-column: 1 / 10; margin-top: -20px; padding-right: 10px;}

  /*----- SKILLS -----*/
  .skills-header-grid h1, .skills-header-grid h2, .skills-header-grid p {padding-left: 6rem;}
  
}

/*----- IPAD PRO---------------------------------------------------------------------------*/
@media only screen and (max-width: 1024px) and (min-width: 770px) 
{
  /*----- ABOUT -------------------------------*/
    /*----- HEADER -----*/
    .about-header-grid {height: 100%; grid-template-columns: 10vw auto;
      grid-template-rows: 51vh min-content min-content min-content min-content min-content auto;}
    
    .header-desc, .header-link {padding-left: 4vh;}
    .nathalie {padding: 0px 0 10px 3vh;}
    
    
    /*----- INFORMATION -----*/
    .info-num {grid-column: 1 / 2; padding: 0 0 0 6vh;}
    .info-title {grid-column: 2 / 10; }
    .info-content {padding: 0 10px 0 10rem;}
    .info-content, .info-num {padding-left: 6rem;}

    /*----- SKILLS -----*/
     .skills-header-grid {height: 100%; grid-template-columns: 10vw auto;
      grid-template-rows: 70vh min-content min-content min-content min-content min-content auto;}
    .skills-header-grid {height: auto;}
    .experience-padding {padding-top: 0;}
    .skills-header-grid .header-arrow-down {grid-row: 9; margin-top: -3vh;}
    .skills-header-grid .experience-year:after {width: 4rem;}

    /*----- PROJECTS ----- */
    .projects-header-grid {height: 100%; grid-template-columns: repeat(9, 1fr); 
      grid-template-rows: 70vh min-content min-content min-content min-content min-content auto;}
    .project-title, .project-role, .project-desc, .projects-header-grid > .red-lines, .project-link {grid-column:  1 / 10; padding-left: 40px;}
    .project-title {padding-top: 0;}
    .project-title h2 {font-size: 4rem; padding-top: 40px;}
    .project-title h3 {font-size: 2.5rem; margin-top: -0.5rem;}
    .project-role {padding-top: 20px; padding-bottom: 20px;}
    .projects-header-grid .red-lines {padding: 5px 70px;}
    .projects-header-grid .red-lines span {width: 70px;}
    .projects-header-grid .red-lines span:first-child {margin-bottom: 0.8rem;}
    .project-desc {padding: 15px 40px;}
}

/*----- IPAD ---------------------------------------------------------------------------*/
@media only screen and (max-width: 769px) and (min-width: 415px)
{
  /*----- ABOUT -------------------------------*/
    /*----- HEADER ------*/
    .about-header-grid {height: 100%; grid-template-columns: 10vw auto;
      grid-template-rows: 51vh min-content min-content min-content min-content min-content auto;}
    
    nav li {padding-top: 14px;}
    .header-img {height: 71vh;}
    .iam {padding: 5px 10vh 10px 0;}
    .nathalie {padding: 0px 0 10px 2vh;}
    .about-header-grid h1 {font-size: 7rem; line-height: 0.8;}
    .header-desc {font-size: 1.5rem; padding-left: 2rem;}
    .red-lines {padding: 25px 15px 15px 6vh;}
    .red-lines span:first-child {margin-bottom: 1rem;}

    /*----- INFORMATION -----*/
    .info-num {grid-column: 1 / 2; padding-left: 3vh;}
    .info-content, .info-num {padding-left: 6rem;}

    /*----- SKILLS ----- */
    .skills-header-grid {height: 100%; grid-template-columns: 10vw auto;
      grid-template-rows: 70vh min-content min-content min-content min-content min-content auto;}
    .skills-header-grid {height: auto;}
    .experience-padding {padding-top: 0;}
    .skills-header-grid .header-arrow-down {grid-row: 9; margin-top: -4vh;}
    .skills-header-grid .experience-year:after {width: 4rem;}

    /*----- PROJECTS ----- */
    .projects-header-grid {height: 100%; grid-template-columns: repeat(9, 1fr); 
      grid-template-rows: 70vh min-content min-content min-content min-content min-content auto;}
    .project-title, .project-role, .project-desc, .projects-header-grid > .red-lines, .project-link {grid-column:  1 / 10; padding-left: 40px;}
    .project-title {padding-top: 0;}
    .project-title h2 {font-size: 4rem; padding-top: 40px;}
    .project-title h3 {font-size: 2.5rem; margin-top: -0.5rem;}
    .project-role {padding-top: 20px; padding-bottom: 20px;}
    .projects-header-grid .red-lines {padding: 5px 70px;}
    .projects-header-grid .red-lines span {width: 70px;}
    .projects-header-grid .red-lines span:first-child {margin-bottom: 0.8rem;}
    .project-desc {padding: 15px 40px;}
}

/* MOBILE */
@media (max-width: 767px) 
{
  /*----- ABOUT -------------------------------*/
    /*----- HEADER ------*/
    .about-header-grid, .skills-header-grid, .projects-header-grid {height: 100%; grid-template-columns: 10vw auto;
      grid-template-rows: 56vh min-content min-content min-content min-content min-content auto;}

    nav li {font-size:  18px; margin: 0 20px;}
    .header-img {height: 70vh; padding-top: 60px;}
    .iam {grid-column: 2 / 10; padding-left: 14vh;}
    .nathalie {padding: 0px 0 10px 2vh;}
    .about-header-grid h1 {font-size: 3.2rem;}
    .header-desc {font-size: 1.2rem; padding: 10px 0 0 2vh;}
    
    .red-lines span:first-child {margin-bottom: 0.7rem; width: 56px; height: 2px; border-radius: 5px;}
    .red-lines span:last-child {width: 56px; height: 2px; border-radius: 5px; margin-left: 30px;}
    .info-bottom-grid {grid}
    .header-link {font-size: 0.8em; padding: 3vh 0 4vh 2vh;}

    /*----- INFORMATION -----*/
    .info-num, .info-title {font-size: 1.5rem;}
    .info-content, .info-num {padding-left: 3rem;}
    .info-num { grid-column: 1 / 2;}
    .info-num:after {width: 2rem; height: 2px; }
    .info-title {grid-column: 2 / 10;}
    .info-content {grid-column: 1 / 10; margin-top: -20px; padding-right: 10px; font-size: 1em;}

    /*----- SKILLS ----- */
    .skills-header-grid {height: auto;}
    .experience-padding {padding-top: 14vh;}
    .skills-header-grid h1, .skills-header-grid h2, .skills-header-grid p {padding-left: 3rem;}
    .skills-header-grid .header-arrow-down {grid-row: 9; margin-top: -6vh;}
    .experience-year:after {width: 2rem;}

    /*----- PROJECTS ----- */
    .projects-header-grid {height: 100%; grid-template-columns: repeat(9, 1fr); 
      grid-template-rows: 70vh min-content min-content min-content min-content min-content auto;}
    .projects-header-grid .header-img {padding-top: 0;}
    .project-title, .project-role, .project-desc, .projects-header-grid > .red-lines, .project-link {grid-column:  1 / 10; padding-left: 20px;}
    .project-title {padding-top: 0; }
    .project-title h2 {font-size: 2rem; padding-top: 30px;}
    .project-title h3 {font-size: 1.5rem; margin-top: 0rem;}
    .project-role {padding-top: 15px; padding-bottom: 15px; font-size: 1.2em;}
    .projects-header-grid .red-lines {padding: 5px 50px;}
    .projects-header-grid .red-lines span {width: 70px;}
    .projects-header-grid .red-lines span:first-child {margin-bottom: 0.8rem;}
    .project-desc {padding: 15px 20px;}
    .project-desc p {font-size: 1em;}
}

  /*----- HEADER ---------------------------------*/
}
/*-----------------------------------------------------------------------------------------------------------------*/
/*----- ËND SMALL RESOLUTIONS -------------------------------------------------------------------------------------*/
/*-----------------------------------------------------------------------------------------------------------------*/